Subject: Re: bug#55743: 28.1.50; No directory error in comp-run-async-workers

From: Juri Linkov <[email-masked]>
Date: Thu, 02 Jun 2022 10:40:12 +0300

> Please tell how this case is different from the one below:
>
>   emacs -Q
>   M-: (setq default-directory "/non-existent/foo/bar") RET
>   M-! ls RET
>
> You get the same error about "setting current directory".  Do yopu
> think it's a bug in M-! ?

M-! is a command explicitly initiated by the user in the current buffer.
OTOH, when native compilation signals an error, this is totally unexpected.